Upgrade from 2.0.17 to 2.0.18

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
SonOfCW
Registered User
Posts: 23
Joined: Thu Mar 13, 2003 6:00 pm
Contact:

Upgrade from 2.0.17 to 2.0.18

Post by SonOfCW »

Seems like there are quite a few files in the "Changed Files Only" release that did not change at all.
Because I have a number of modifications, it's near impossible for me to go through all the files looking for changes in the code.
Do you plan on making another release with only the files that have changed?

markus_petrux
Former Team Member
Posts: 1887
Joined: Wed Apr 23, 2003 7:11 am
Location: Girona, Catalunya (Spain)
Contact:

Post by markus_petrux »

Please, see if my answer here helps:
http://www.phpbb.com/phpBB/viewtopic.ph ... 87#1833087
EasyMOD Standards | MOD Template Actions | MODs in Development Rules
Useful information for MOD Authors | MOD Queue Stats | Search MODs
Write SQL/DDL portable to all SQL servers supported by phpBB!
Get EasyMOD 0.3.0! | Suport al phpBB en Català!
8)

SonOfCW
Registered User
Posts: 23
Joined: Thu Mar 13, 2003 6:00 pm
Contact:

Post by SonOfCW »

It's possible it may help, though I am un-familiar with EasyMOD.
I'll have a look at the code changes MOD.

I have several modifications that I have implemented myself (without the help of EasyMOD, or some other automated process), that are specific to my site (i.e. overall_header, overall_footer, page_header, lang_main, index_body, sessions, etc.).

Just out of curiousity, can you confirm that the "Changed Files Only" release contains some files that did not actually change?
Or maybe I'm missing something?

I've never had trouble upgrading from previous versions, it's so much easier for me to use the "Changed Files Only" release as typically I only have a handful of files that I usually need to change per release.

I guess I'm just putting this on my "wish list" and hope there is another release.

Thanks for your help markus.

markus_petrux
Former Team Member
Posts: 1887
Joined: Wed Apr 23, 2003 7:11 am
Location: Girona, Catalunya (Spain)
Contact:

Post by markus_petrux »

Yes, the "changed files" package contains a ZIP named "2.0.17_to_2.0.18.zip" with only the files changed on this release.


Hope that helps.
EasyMOD Standards | MOD Template Actions | MODs in Development Rules
Useful information for MOD Authors | MOD Queue Stats | Search MODs
Write SQL/DDL portable to all SQL servers supported by phpBB!
Get EasyMOD 0.3.0! | Suport al phpBB en Català!
8)

markus_petrux
Former Team Member
Posts: 1887
Joined: Wed Apr 23, 2003 7:11 am
Location: Girona, Catalunya (Spain)
Contact:

Post by markus_petrux »

BTW, remember to run the update_to_latest.php script to apply the changes in the DB.

:!:
EasyMOD Standards | MOD Template Actions | MODs in Development Rules
Useful information for MOD Authors | MOD Queue Stats | Search MODs
Write SQL/DDL portable to all SQL servers supported by phpBB!
Get EasyMOD 0.3.0! | Suport al phpBB en Català!
8)

SonOfCW
Registered User
Posts: 23
Joined: Thu Mar 13, 2003 6:00 pm
Contact:

Post by SonOfCW »

markus_petrux wrote: Yes, the "changed files" package contains a ZIP named "2.0.17_to_2.0.18.zip" with only the files changed on this release.


Hope that helps.

We may be mis-understanding each other. I probably could have worded it better, I appologize.

The files contained in the "2.0.17_to_2.0.18.zip" package contain a large amount of files, some of which did not change at all from 2.0.17 to 2.0.18.
(i.e. "/includes/db.php", that file is in the release even though there we no changes made to that file from the previous release).

Those files should not be included in the release if they did not change.
I know there are at least a few other files that are in that release that shouldn't be.

What I'm hoping for is another release that truely contains only the files that have changed from the previous release.

Thanks again.

Graham
Former Team Member
Posts: 8462
Joined: Tue Mar 19, 2002 7:11 pm
Location: UK
Contact:

Post by Graham »

If a file is included in the changed files package it has changed in some way from the version included in 2.0.17

This is a major update and there will be changes to a lot of files
"So Long, and Thanks for All the Fish"

phpBB Useful Links: Knowledge Base | Userguide | Forum Search | MOD Database | Styles Database
My Links: Blog!

markus_petrux
Former Team Member
Posts: 1887
Joined: Wed Apr 23, 2003 7:11 am
Location: Girona, Catalunya (Spain)
Contact:

Post by markus_petrux »

includes/db.php has been changed. It's just to fix an indentation issue. ;)


.
EasyMOD Standards | MOD Template Actions | MODs in Development Rules
Useful information for MOD Authors | MOD Queue Stats | Search MODs
Write SQL/DDL portable to all SQL servers supported by phpBB!
Get EasyMOD 0.3.0! | Suport al phpBB en Català!
8)

SonOfCW
Registered User
Posts: 23
Joined: Thu Mar 13, 2003 6:00 pm
Contact:

Post by SonOfCW »

Wow. So the only change in some of these files could be to make the code prettier? (an indentation)
This is going to be a rough update.
Oh well, thanks for the help guys.

betasigman
Registered User
Posts: 51
Joined: Sun Oct 30, 2005 7:07 pm
Location: Whittier, CA

Post by betasigman »

markus_petrux wrote: BTW, remember to run the update_to_latest.php script to apply the changes in the DB.

:!:


Hi, I have replaced the files with the changes only files 2.0.17_to_2.0.18.
Can you please help me, how do you run the update_to_latest.php script?

Thank you,
john

SonOfCW
Registered User
Posts: 23
Joined: Thu Mar 13, 2003 6:00 pm
Contact:

Post by SonOfCW »

Upload it with the "contrib" and "install" directories.
Hit that page in your browse, let the update take place.
When finished, remove the "contrib" and "install" directories from your web server.
That should be all.

betasigman
Registered User
Posts: 51
Joined: Sun Oct 30, 2005 7:07 pm
Location: Whittier, CA

Post by betasigman »

i can no longer see the phpBB, the error message reads:

Fatal error: Call to undefined function: attach_setup_basic_auth() in /home/content/b/e/t/betasigman/html/phpbb2/includes/auth.php on line 111

Any help is highly appreciated.

Thanks,
john

markus_petrux
Former Team Member
Posts: 1887
Joined: Wed Apr 23, 2003 7:11 am
Location: Girona, Catalunya (Spain)
Contact:

Post by markus_petrux »

Can you please help me, how do you run the update_to_latest.php script?


Create an install folder under your phpBB installation and upload the update_to_latest.php script over there. Then open that file with your browser, example:

http://www.example.com/forums/install/u ... latest.php

Once done, remove the install folder and the update_to_latest.php script.

Hope that helps. ;)
EasyMOD Standards | MOD Template Actions | MODs in Development Rules
Useful information for MOD Authors | MOD Queue Stats | Search MODs
Write SQL/DDL portable to all SQL servers supported by phpBB!
Get EasyMOD 0.3.0! | Suport al phpBB en Català!
8)

markus_petrux
Former Team Member
Posts: 1887
Joined: Wed Apr 23, 2003 7:11 am
Location: Girona, Catalunya (Spain)
Contact:

Post by markus_petrux »

betasigman wrote: i can no longer see the phpBB, the error message reads:

Fatal error: Call to undefined function: attach_setup_basic_auth() in /home/content/b/e/t/betasigman/html/phpbb2/includes/auth.php on line 111

Any help is highly appreciated.

Thanks,
john

Well, that error means you have installed the Attachment MOD, therefore you shouldn't upgrade to 2.0.18 by copying the changes files. If you do so, then you should review the changes that any installed MOD made to your original phpBB files. Follow?

Otherwise, I would proceed upgrading to 2.0.18 with the code changes MOD.
EasyMOD Standards | MOD Template Actions | MODs in Development Rules
Useful information for MOD Authors | MOD Queue Stats | Search MODs
Write SQL/DDL portable to all SQL servers supported by phpBB!
Get EasyMOD 0.3.0! | Suport al phpBB en Català!
8)

betasigman
Registered User
Posts: 51
Joined: Sun Oct 30, 2005 7:07 pm
Location: Whittier, CA

Post by betasigman »

markus_petrux wrote:
Can you please help me, how do you run the update_to_latest.php script?


Create an install folder under your phpBB installation and upload the update_to_latest.php script over there. Then open that file with your browser, example:

http://www.example.com/forums/install/u ... latest.php

Once done, remove the install folder and the update_to_latest.php script.

Hope that helps. ;)


did that and this came out

nformation

Database type :: mysql4
Previous version :: 2.0.18
Updated version :: 2.0.18
Updating database schema

Progress :: No updates required
Updating data

Progress :: No updates where required
Updating version and optimizing tables

Progress :: . . Done
Result :: No errors
Update completed

Locked

Return to “2.0.x Support Forum”